<template>
  <el-dropdown trigger="click" class="international" @command="handleSetLanguage">
    <div>
      {{btn}}
    </div>
    <el-dropdown-menu slot="dropdown">
      <el-dropdown-item :disabled="language==='zh'" command="zh">
        简体中文
      </el-dropdown-item>
      <el-dropdown-item :disabled="language==='en'" command="en">
        English
      </el-dropdown-item>
    </el-dropdown-menu>
  </el-dropdown>
</template>

<script>
export default {
  computed: {   
    language() {
      return this.$i18n.locale
    },
     btn() {
      return this.language == 'en' ? 'English': '简体中文'
    },
  },
  methods: {
    handleSetLanguage(lang) {
      this.$i18n.locale = lang
      sessionStorage.setItem("language", lang);
      // this.$message({
      //   message: 'Switch Language Success',
      //   type: 'success'
      // })
    }
  }
}
</script>
